Create or replace an organization-wide cap profile
curl --request POST \
--url https://api.ridergy.com/v1/organizations/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 500,
"priority": 5
}
'import requests
url = "https://api.ridergy.com/v1/organizations/schedules"
payload = {
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 500,
"priority": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startTime: '2026-06-12T08:00:00Z',
endTime: '2026-06-12T18:00:00Z',
limitKw: 500,
priority: 5
})
};
fetch('https://api.ridergy.com/v1/organizations/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ridergy.com/v1/organizations/schedules"
payload := strings.NewReader("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 500,\n \"priority\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ridergy.com/v1/organizations/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '2026-06-12T08:00:00Z',
'endTime' => '2026-06-12T18:00:00Z',
'limitKw' => 500,
'priority' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.ridergy.com/v1/organizations/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 500,\n \"priority\": 5\n}")
.asString();{
"tenantUuid": "<string>",
"priority": 5,
"limitKw": 500,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "SCHEDULED",
"note": "Organization-wide cap enforcement is not yet active; this profile is recorded for future use."
}Organizaciones
Crear o reemplazar un perfil de límite para toda la organización
Registra un perfil de límite a nivel de organización para el tenant
que realiza la llamada (derivado de la clave de API, sin orgId en
la ruta ni en el cuerpo).
Aún no aplicado. La aplicación del límite a nivel de organización en las ubicaciones del tenant todavía no está activa (Fase 3, pospuesta). Los perfiles solo se registran para uso futuro.
POST
/
organizations
/
schedules
Create or replace an organization-wide cap profile
curl --request POST \
--url https://api.ridergy.com/v1/organizations/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 500,
"priority": 5
}
'import requests
url = "https://api.ridergy.com/v1/organizations/schedules"
payload = {
"startTime": "2026-06-12T08:00:00Z",
"endTime": "2026-06-12T18:00:00Z",
"limitKw": 500,
"priority": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startTime: '2026-06-12T08:00:00Z',
endTime: '2026-06-12T18:00:00Z',
limitKw: 500,
priority: 5
})
};
fetch('https://api.ridergy.com/v1/organizations/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ridergy.com/v1/organizations/schedules"
payload := strings.NewReader("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 500,\n \"priority\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ridergy.com/v1/organizations/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startTime' => '2026-06-12T08:00:00Z',
'endTime' => '2026-06-12T18:00:00Z',
'limitKw' => 500,
'priority' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.ridergy.com/v1/organizations/schedules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startTime\": \"2026-06-12T08:00:00Z\",\n \"endTime\": \"2026-06-12T18:00:00Z\",\n \"limitKw\": 500,\n \"priority\": 5\n}")
.asString();{
"tenantUuid": "<string>",
"priority": 5,
"limitKw": 500,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "SCHEDULED",
"note": "Organization-wide cap enforcement is not yet active; this profile is recorded for future use."
}Autorizaciones
Cuerpo
application/json
Respuesta
Perfil de organización creado/reemplazado

